Redmine - Feature #716

Remove default start date
2008-02-22 16:47 - Joris Verschoor

Status: Closed Start date: 2008-02-22
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues planning Estimated time: 0.00 hour

Target version:

Resolution: Fixed

Description

Start date should not be filled in by default. Creating an issue does not automatically mean that someone is working on it.
A creteiondate should be used instead.

Also, the startdate COULD be enabled for certain statusses. For example:
ASSIGNED -> fill startdate
FIXED/CLOSED -> fill enddate

If start is an indication of when someone should start, you should fill in due-date, and substract estimated-hours/8 = days.

Related issues:
Related to Redmine - Feature #2269: Default issue start date should become co... Closed

History

#1 - 2008-08-16 21:25 - Wynn Netherland

I'd like to see this removed or opt-in only. In our process, we almost never begin work on a ticket the day that it's logged.
Joris Verschoor wrote:

Start date should not be filled in by default. Creating an issue does not automatically mean that someone is working on it.
A creteiondate should be used instead.

Also, the startdate COULD be enabled for certain statusses. For example:
ASSIGNED -> fill startdate
FIXED/CLOSED -> fill enddate

If start is an indication of when someone should start, you should fill in due-date, and substract estimated-hours/8 = days.

#2 - 2008-08-19 22:58 - Eric Davis

| agree with removing the start date, | don't use it and when | do there is too many issues with the default start date to make it useful.

| disagree with automatically adding the start date for different statuses. Status names can be changed by an Administrator and we might not always
have a "Assigned" status.

| also disagree with "If start is an indication of when someone should start, you should fill in due-date, and substract estimated-hours/8 = days." Not

everyone works 8 hours, it will not account for weekends, days off, holidays, and that's assuming someone works on an issue 100% of the time with
no slack time.

#3 - 2008-08-20 02:45 - Mischa The Evil

Joris Verschoor wrote:

A creteiondate should be used instead

Wynn Netherland wrote:

In our process, we almost never begin work on a ticket the day that it's logged

Eric Davis wrote:
| don't use it and when | do there is too many issues with the default start date to make it useful

| think about this as if it is a multi-interpretable name for something that is in imho a quite important fact: the start-date of the issue (ticket). From that
moment on all updates of that ticket should be done as comments. Besides some exceptions (typos, inline-corrections etc.) the original issue
shouldn't be modified afterwards.

When an update is forced it's always traceable through the issues journal. At the same time it is always clearly visible to find the date of the last
update of the issue on the issue itself.

This is what | mean by multi-interpretable; | see the start-date as the moment the issue got filed. You can either interpret it as the moment someone
starts work for the issue.

Though imho both interpretations can be easily followed: It probably won't be much more than a simple change in the respective language-files

#4 - 2009-03-30 01:18 - Mischa The Evil

Just a new journal to push email updated: Related Patch #2269 can maybe solve the issue for both "camps"...

#5 - 2010-07-11 19:55 - Douglas Cox

| just ran into the same need. Our current task tracking system maintains the "Created" date of the task, but the "Start" date is the date someone
should start working on it.

Was there an option that | missed to turn off defaulting the start date to "Today" and/or a way to have changing the status to "In Progress" to set it
automatically to Today?

As a manager on larger projects, | would like to assign start dates for other users for scheduling purposes. For other small projects it is nice to see a
valid start date when someone begins working on the task (In Progress) and have the Gantt Chart then show it.

I'm also interested in peoples thoughts on how useful a hard-coded End Date is vs. it being calculated based on the start date (possibly calculated
from a dependent task) and a task duration (X hours). For instance, does adjusting the End Date on a task automatically adjust the start and end
dates of any "follows" task recursively?

#6 - 2010-08-16 16:36 - Bruno Medeiros

A lot of people in my company asks for it, definitely start_date |= creation_date.
| tried to apply the #2277 patch, but it's old. | will try to adjust it later.

+1

#7 - 2010-10-04 13:59 - Jean-Michel Godin

| really think the start date should not be added by default. Also if you manually erase it and you create your issue it still the start date still get set so
you need to update the issue to remove it.

#8 - 2010-10-04 23:45 - Terence Mill

IF it would be possible configure per tracker, per role, per status which fields are visible, mandatory (always visible), optional and which position they
shall have (eg. field "status" 3rd position left column) you have the freedom to satisfy most of this feature requests, SOme fields come with base
install other can be added via custom fields.

#9 - 2010-10-05 07:43 - Nicholas Kulikov

+1 for any solution that allow disable autofill :)

#10 - 2010-10-05 12:30 - Anonymous

Eric Davis wrote:
| disagree with automatically adding the start date for different statuses. Status names can be changed by an Administrator and we might not
always have a "Assigned" status.

You are right of course, but how about adding a checkbox in the administration of issue stati that says "Reset start date" that you can check only for

one status (as in "assigned"). After all, you can also automatically set "% Done", "Default value" and "Issue closed" individually.

Of course, one should be careful with workflows then because it might lead to people resetting the start date if they change the status to that one
again during the lifetime of the issue. So it should probably be a "one time setting"...

Just thinking out loud...

#11 - 2010-10-05 12:56 - Bruno Medeiros

Let's fix bugs first, | created #6575 to address the problem of start date being filled even when mannually erased. |. hope someone fix it soon.

2025-08-23 2/4


https://www.redmine.org/issues/2269
https://www.redmine.org/issues/2277
https://www.redmine.org/issues/6575

#12 - 2011-04-20 17:18 - Etienne Massip

- Category set to Issues planning

#13 - 2011-11-24 00:14 - Mischa The Evil
- Status changed from New to Closed

- Resolution set to Fixed
Superseded by implemented #2269.
#14 - 2013-06-16 20:03 - Anonymous
Joris Verschoor wrote:
Also, the startdate COULD be enabled for certain statusses. For example:

ASSIGNED -> fill startdate
FIXED/CLOSED -> fill enddate

That possibility is exactly what | was looking for a long time and found no options, no plugins, no patches, no workarounds.
Developers in my team asked me for that just after Redmine was implemented for our projects.

That would significantly improve our workflow.

Is there any way to automatically fill start/due date using dependencies based on other (generic or custom) fields?

#15 - 2013-06-19 17:31 - Bruno Medeiros

Damian Gutkowski wrote:
Is there any way to automatically fill start/due date using deependencies based on other (generic or custom) fields?

Not that I'm aware of.

| suggest you to search on the web, and also on redmine.org, and create a new issue if you don't find one asking the same feature. Posting on closed
issues is likely to be ignored.

#16 - 2013-06-19 20:30 - Anonymous

It's ok, | have already found solution :)
https://github.com/dkuk/auto_fields

For the newest Redmine it demands some little tinkering but it works as expected.
#17 - 2014-01-17 09:30 - Florian Kaiser
Damian Gutkowski wrote:

It's ok, | have already found solution :)
https://github.com/dkuk/auto_fields

For the newest Redmine it demands some little tinkering but it works as expected.

The plugin is no longer working :/
#18 - 2014-01-17 09:32 - Anonymous
yeah, they (the same guys) have created a much better plugin, it's called Luxury buttons.

It costs but it's worth more thant that.

#19 - 2014-03-07 15:19 - Olivier Houdas
- File Option-StartDate.png added

There is now an option for that... (created by solving issue #2269)

2025-08-23 3/4


https://www.redmine.org/issues/2269
https://github.com/dkuk/auto_fields
https://github.com/dkuk/auto_fields
https://www.redmine.org/issues/2269

Settings

General || Display || Authentication || Projects || lzsue tracking

Allow cross-project issue relations

Allow cross-project subtasks

Allow issue assignment to groups

Use current date as start date for new issues

Display subprojects issues on main projects by
default

Calculate the issue done ratio with

Hon-working days

Files

(]
With projecttree E
(]

Use the issue status E|

[[|Monday [ Tuesday [[]Wednesday [O]T

Email notifications

Incoming em

Option-StartDate.png

2025-08-23

16 KB

2014-03-07

Olivier Houdas

/4


http://www.tcpdf.org

